/*

 Ecommerce JS - apps

 */



//function customTabs() {
//    $('.nav-tabs a').click(function () {
//        $(this).tab('show');
//        hideInactiveScrolltabs();
//        return false;
//    });
//}


function customScrollBar() {
    $('.scrollbar').jScrollPane({
        autoReinitialise: true
    });
}

function customCheckBox() {
    $('a.checkbox').on('click', function () {
        $('#' + $(this).attr('data-id')).click();
        $(this).toggleClass('active');
        return false;
    });
}

function customRadio() {
    $('a.radio').on('click', function () {
        $target = $('#' + $(this).attr('data-id'));
        $target_name = $target.attr('name');
        $('input[name="' + $target_name + '"]').each(function () {
            $('a[data-id="' + $(this).attr('id') + '"]').removeClass('active');
        });
        $target.click();
        $(this).toggleClass('active');
        return false;
    });
}

function customModal() {
    $('.open_modal').on('click', function () {
        $($(this).attr('href')).modal('show');
        return false;
    });

    $('.close_modal').on('click', function () {
        $($(this).attr('href')).modal('hide');
        return false;
    });
}

var getCheckBockSelectedSum = function () {
    $(".nav.nav-tabs li a").click(function () {
        // set sum to 0 on tab change
        $(".tab-content .tab-pane").not('.active').find(".trTotal td").last().text('€ 0,00');
    });
    $("#rapporto-cointestatario, #rapporto-intestatario").on('change', '.st_voce input:checkbox', function () {
        var sum = 0;
        $.each($(".tab-pane.active .st_voce input[type=checkbox]:checked"), function () {
            importo = $(this).parents('tr').find('td').last().text();
            importo = importo.replace('.', '').replace(',', '.');
            importo = importo.replace('€', '').replace(' ', '');
            sum += parseFloat(importo);
        });
        $(".tab-pane.active").find('.trTotal td').last().text('€ '+sum.toLocaleString());
    });
}

//function hideInactiveScrolltabs() {
//    var activeAnchor = $(".span12.central_content_central_middle .item6 .nav.nav-tabs.custom li.active a")[0];
//    if ($(activeAnchor).attr("href") == "#intestatario") {
//        $(".dettaglio-posizione .intestatario").show();
//    }
//    else {
//        $(".dettaglio-posizione .intestatario").hide();
//    }
//    if ($(activeAnchor).attr("href") == "#cointestatario") {
//        $(".dettaglio-posizione .cointestatario").show();
//    }
//    else {
//        $(".dettaglio-posizione .cointestatario").hide();
//    }
//}

function hideInitialScrolltabs() {
    var activeAnchor = $(".span12.central_content_central_middle .item6 .nav.nav-tabs.custom li.active a")[0];
    if ($(activeAnchor).attr("href") == "#intestatario") {
        $(".dettaglio-posizione .cointestatario").hide();
    }
    if ($(activeAnchor).attr("href") == "#cointestatario") {
        $(".dettaglio-posizione .intestatario").hide();
    }
}

function initialAPPFrom() {
    var selected_cardie = $(".tipo_operazione input[value='CARDIE']").attr('checked');
    var selected_ribinv = $(".tipo_operazione input[value='RIBINV']").attr('checked');
    if (selected_cardie || selected_ribinv) {
        $("#rapporto-intestatario input[type='radio'], #rapporto-cointestatario input[type='radio']").each(function () {
            new_input = $("<input>", {
                type: 'checkbox',
                name: $(this).attr('name'),
                value: $(this).attr('value')
            });
            $(this).replaceWith(new_input);
        });
    }
    else {
        $("#rapporto-intestatario input[type='checkbox'], #rapporto-cointestatario input[type='checkbox']").each(function () {
            new_input = $("<input>", {
                type: 'radio',
                name: $(this).attr('name'),
                value: $(this).attr('value')
            })
            $(this).replaceWith(new_input);
        });
    }
}

function clickAPPFrom() {
    $(".tipo_operazione input[type='radio']").on('click', function () {
        var selected_cardie = $(".tipo_operazione input[value='CARDIE']").attr('checked');
        var selected_ribinv = $(".tipo_operazione input[value='RIBINV']").attr('checked');
        if (selected_cardie || selected_ribinv) {
            $("#rapporto-intestatario input[type='radio'], #rapporto-cointestatario input[type='radio']").each(function () {
                new_input = $("<input>", {
                    type: 'checkbox',
                    name: $(this).attr('name'),
                    value: $(this).attr('value')
                })
                $(this).replaceWith(new_input);
            });
        }
        else {
            $("#rapporto-intestatario input[type='checkbox'], #rapporto-cointestatario input[type='checkbox']").each(function () {
                new_input = $("<input>", {
                    type: 'radio',
                    name: $(this).attr('name'),
                    value: $(this).attr('value')
                })
                $(this).replaceWith(new_input);
            });
        }
    });
}

function initialPositionTo() {
    var indice = $("input[type='radio']:checked").val();
    var tipo_piano = $('.tipo_piano-' + indice).text();
    if (tipo_piano == "PIC") {
        $('ul.investimento_pic').show();
        $('ul.investimento_pac').hide();
    }
    if (tipo_piano == "PAC") {
        $('ul.investimento_pac').show();
        $('ul.investimento_pic').hide();
        $('.informazioni_fondo').hide();
        $('#informazione-' + indice).show();
        $('#id_numero_rate_versate').prop('disabled', false);
        $('#id_numero_rate_versate').prop('readonly', true);
    }
    if (tipo_piano == "PAD") {
        $('ul.investimento_pac').show();
        $('ul.investimento_pic').hide();
        $('.informazioni_fondo').hide();
        $('#informazione-' + indice).show();
        $('#id_numero_rate_versate').prop('disabled', false);
        $('#id_numero_rate_versate').prop('readonly', true);
    }
}

function clickPositionFrom() {
    $(".select_rapporto a").on('click', function () {
        var href = $(this).attr('href');
        if (href == "#rapporto-intestatario") {
            $("#rapporto-cointestatario .st_voce input:checked").attr('checked', false);
        }
        if (href == "#rapporto-cointestatario") {
            $("#rapporto-intestatario .st_voce input:checked").attr('checked', false);
        }
    });
}

function clickPositionTo() {
    $(".select_rapporto a").on('click', function () {
        var href = $(this).attr('href');
        if (href == "#posizioni_to_ex") {
            $("#posizioni_to_not .st_voce input[type='radio']:checked").attr('checked', false);
            $('.field-pic').hide();
            $('.field-pac').hide();
            $('.informazioni_fondo').hide();
        }
        if (href == "#posizioni_to_not") {
            $("#posizioni_to_ex .st_voce input[type='radio']:checked").attr('checked', false);
            $('.field-pic').hide();
            $('.field-pac').hide();
            $('.informazioni_fondo').hide();
        }
    });
}

function initialDoveVersare() {
    var indice = $("#posizioni_to .st_voce input[type='radio']:checked").val();
    if (indice >= 0) {
        $('.conto_corrente').removeClass('active');
        $('#conto_corrente').removeClass('active');
        $('.posizioni_to').addClass('active');
        $('#posizioni_to').addClass('active');
    }
    var iban = $("#conto_corrente #id_iban").val();
    if (iban != "") {
        $('.posizioni_to').removeClass('active');
        $('#posizioni_to').removeClass('active');
        $('.conto_corrente').addClass('active');
        $('#conto_corrente').addClass('active');
    }
}

function clickDoveVersare() {
    $(".dove_versare").on('click', function () {
        var href = $(this).attr('href');
        if (href == "#posizioni_to") {
            $("#conto_corrente input[type='text']").attr('value', "");
        }
        if (href == "#conto_corrente") {
            $("#posizioni_to .st_voce input[type='radio']:checked").removeAttr('checked');
        }

    });
}

function sum100() {
    $("#id_car_die_allocazione_a, #id_car_die_allocazione_b").on("keyup change click paste", function (e) {
        if ($(this).attr("id") == 'id_car_die_allocazione_b') {
            var destination = $("#id_car_die_allocazione_a")
        } else {
            var destination = $("#id_car_die_allocazione_b")
        }
        var $this = $(this);
        var val = $this.val();
        if ($this.val() == '') {
            return destination.val('')
        }
        if (val > 99) {
            e.preventDefault();
            $this.val(99);
        } else if (val < 1) {
            e.preventDefault();
            $this.val(1);
        }
        destinationval = Math.abs(100 - $this.val());
        destination.val(destinationval);
    })
}

function initialFondoTo() {
    var indice = $("#posizioni_to_ex .st_voce input[type='radio']:checked").val();
    if (indice >= 0) {
        var tipo_piano = $('#posizioni_to_ex .tipo_piano-' + indice).text();
//        $('#posizioni_to_ex').show();
//        $('#posizioni_to_not').hide();
//        $('li.choice_not').removeClass('active');
//        $('li.choice_ex').addClass('active');

        if (tipo_piano == "PIC") {
            $('.field-pic').show();
            $('.field-pac').hide();
            $('#id_numero_rate_versate').val(0);
            $('.informazioni_fondo').hide();
        }
        if (tipo_piano != "PIC") {
            $('.field-pac').show();
            $('.field-pic').hide();
            $('.informazioni_fondo').hide();
            $('#informazione-ex-' + indice).show();
            $('#id_numero_rate_versate').val(null);
            calcImportoRata();
            $('#id_numero_rate_versate').prop('disabled', false);
            $('#id_numero_rate_versate').prop('readonly', true);
        }
    }
    var indice = $("#posizioni_to_not .st_voce input[type='radio']:checked").val();
    if (indice >= 0) {
        var tipo_piano = $('#posizioni_to_not .tipo_piano-' + indice).text();
//        $('#posizioni_to_not').show();
//        $('#posizioni_to_ex').hide();
//        $('li.choice_not').addClass('active');
//        $('li.choice_ex').removeClass('active');

        if (tipo_piano == "PIC") {
            $('.field-pic').show();
            $('.field-pac').hide();
            $('#id_numero_rate_versate').val(0);
            $('.informazioni_fondo').hide();
        }
        if (tipo_piano != "PIC") {
            $('.field-pac').show();
            $('.field-pic').hide();
            $('.informazioni_fondo').hide();
            $('#informazione-not-' + indice).show();
            $('#id_numero_rate_versate').val(null);
            calcImportoRata();
            $('#id_numero_rate_versate').prop('disabled', false);
            $('#id_numero_rate_versate').prop('readonly', true);
        }
    }
}

function clickFondoTo() {
    $('#posizioni_to_ex .st_voce input').on('click', function () {
        var indice = $(this).attr('value');
        var tipo_piano = $('#posizioni_to_ex .tipo_piano-' + indice).text();
        if (tipo_piano == "PIC") {
            $('.field-pic').show();
            $('.field-pac').hide();
            $('#id_numero_rate_versate').val(0);
            $('.informazioni_fondo').hide();
        }
        if (tipo_piano != "PIC") {
            $('.field-pac').show();
            $('.field-pic').hide();
            $('.informazioni_fondo').hide();
            $('#informazione-ex-' + indice).show();
            $('#id_numero_rate_versate').val(null);
            calcImportoRata();
            $('#id_numero_rate_versate').prop('disabled', false);
            $('#id_numero_rate_versate').prop('readonly', true);
        }
    });
    $('#posizioni_to_not .st_voce input').on('click', function () {
        var indice = $(this).attr('value');
        var tipo_piano = $('#posizioni_to_not .tipo_piano-' + indice).text();
        if (tipo_piano == "PIC") {
            $('.field-pic').show();
            $('.field-pac').hide();
            $('#id_numero_rate_versate').val(0);
            $('.informazioni_fondo').hide();
        }
        if (tipo_piano != "PIC") {
            $('.field-pac').show();
            $('.field-pic').hide();
            $('.informazioni_fondo').hide();
            $('#informazione-not-' + indice).show();
            $('#id_numero_rate_versate').val(null);
            calcImportoRata();
            $('#id_numero_rate_versate').prop('disabled', false);
            $('#id_numero_rate_versate').prop('readonly', true);
        }
    });
}

function initialFineServizioTo() {
    var value = $('.fine_servizio input[name=fine_servizio]:checked').val();
    if (value == "R") {
        $('#id_fine_servizio_mese').hide();
        $('#id_fine_servizio_anno').hide();
    }
    if (value == "D") {
        $('#id_fine_servizio_mese').show();
        $('#id_fine_servizio_anno').show();
    }
}

function clickFineServizioTo() {
    $('.fine_servizio input').on('click', function () {
        var value = $(this).attr('value');
        if (value == "R") {
            $('#id_fine_servizio_mese').hide();
            $('#id_fine_servizio_anno').hide();
        }
        if (value == "D") {
            $('#id_fine_servizio_mese').show();
            $('#id_fine_servizio_anno').show();
        }
    });
}

function initialAttivaOpzioneTo() {
    var check = $('#id_rad_rib_flag').attr('checked');
    if (check == 'checked') {
        $('.rad_rib_ipotesi_a').show();
        $('.rad_rib_ipotesi_b').show();
        $('#id_rad_rib_riduz_quota_a').show();
        $('#id_rad_rib_riduz_quota_b').show();
    } else {
        $('.rad_rib_ipotesi_a').hide();
        $('.rad_rib_ipotesi_b').hide();
        $('#id_rad_rib_riduz_quota_a').hide();
        $('#id_rad_rib_riduz_quota_b').hide();
    }
}

function clickAttivaOpzioneTo() {
    $('#id_rad_rib_flag').on('click', function () {
        var value = $(this).attr('checked');
        if (value == 'checked') {
            $('.rad_rib_ipotesi_a').show();
            $('.rad_rib_ipotesi_b').show();
            $('#id_rad_rib_riduz_quota_a').show();
            $('#id_rad_rib_riduz_quota_b').show();
        } else {
            $('.rad_rib_ipotesi_a').hide();
            $('.rad_rib_ipotesi_b').hide();
            $('#id_rad_rib_riduz_quota_a').hide();
            $('#id_rad_rib_riduz_quota_b').hide();
        }
    });
}

function clickRadio() {
}

function focusOutImporto() {
    $('#id_importo').focusout(function () {
        calcImportoRata();
    });
}
function calcImportoRata() {
    var valore = $('#id_importo').val();
    if (!valore) {
        return
    } else {
        var string_importo = (valore).replace(/\s/g, "", "")
        if (string_importo != "") {
            $('#id_importo').val(string_importo);
            var string_importo = string_importo.replace(",", ".");
            var importo = parseFloat(string_importo).toFixed(2);
            var indice = $("input[type='radio']:checked").val();
            var string_ammontare_rata = ($(".imp_rata." + indice).text()).replace(/\s/g, "", "").replace(",", ".");
            if (!string_ammontare_rata) {
                $('#id_numero_rate_versate').val(0);
                return
            }
            var ammontare_rata = parseFloat(string_ammontare_rata).toFixed(2);
            var numero_rate_versate = parseFloat(importo / ammontare_rata).toFixed(2);
            var string_nrv = numero_rate_versate.replace(".", ",");
            $('#id_numero_rate_versate').val(string_nrv);
        } else {
            $('#id_numero_rate_versate').val(0);
        }
    }
}

function printPage() {
//    $('.scrollbar').css('width','690px');
    $('.scrollbar').jScrollPane({
        autoReinitialise: true
    });
    window.print();
}

function filterOperations() {
    $('#period').change(function () {
        var selected = $('#period').val();
        var url = window.location.href.substr(0, window.location.href.indexOf('?'));
        window.location.href = url + "?filter=" + selected;
        $("#period").val(selected);
//        $.get("http://127.0.0.1:8000/it/e-commerce/operazioni-effettuate/", {filter: selected})
    });
}

function GetURLParameter(sParam) {
    var sPageURL = window.location.search.substring(1);
    var sURLVariables = sPageURL.split('&');
    for (var i = 0; i < sURLVariables.length; i++) {
        var sParameterName = sURLVariables[i].split('=');
        if (sParameterName[0] == sParam) {
            return sParameterName[1];
        }
    }
}

function setPeriod() {
    var selected = GetURLParameter('filter');
    $("#period").val(selected);
}

$(function () {
    $(".popover_top").popover({
        placement: 'top',
        html: true,
        content: function () {
            var pop_link = $(this).attr("pop-link");
            var pop_content = $(this).attr("pop-content");
            var content = '<a href="' + pop_link + '">' + pop_content + '</a>';
            return content;
        }
    });
});


function clickSottotitolo() {
    $(".tipo_operazione input[type=radio]").change(function () {
        var fondo = $(".tipo_operazione input[type=radio]:checked").val();
        if ((fondo != "") && ($(".sottotitolo_" + fondo).length > 0)) {
            $("[class*=sottotitolo_]").hide();
            $(".general-subtitle").hide();
            $(".sottotitolo_" + fondo).show();
        }
        else {
            $("[class*=sottotitolo_]").hide();
            $(".general-subtitle").show();
        }
    });
}


function add_sum(tabella) {
    if ($(tabella).find(".tdTotal").length >= 1) {
        $(tabella).find(".trTotal").show()
        return $(tabella).find(".tdTotal")
    }
    last = $(tabella).find("tr").last().clone().addClass("trTotal")
    last.appendTo(tabella)
    last.find("td").html("").css("border-left-width", 0)
    last.find("td").first().html("").css("border-left-width", 1)
    field = last.find("td").last()
    $(field).addClass("tdTotal")
    return field
}

//funziona per la somma delle celle
function sumcells(tabella) {
    var total = 0.00;
    $(tabella).find("tr").not('.trTotal').each(function () {
        var value = $(this).find("td").last().html();
        var ck = $(this).find("td").first().find("input").attr('checked');
        if (ck && value) {
            total += parseFloat(value.replace(",", "."))
        }
    })
    total = total.toFixed(2).toString()
    $(tabella).find('.trTotal td').last().html(total.replace(".", ","));
}

function initialTotaleCelle() {
    var selected_cardie = $(".tipo_operazione input[value='CARDIE']").attr('checked');
    var selected_ribinv = $(".tipo_operazione input[value='RIBINV']").attr('checked');
    if (selected_cardie || selected_ribinv) {
        sumcells("#rapporto-intestatario .tabella_posizioni_from")
        sumcells("#rapporto-cointestatario .tabella_posizioni_from")
        $("#rapporto-cointestatario .tabella_posizioni_from").find(".trTotal").show()
        $("#rapporto-intestatario .tabella_posizioni_from").find(".trTotal").show()
    } else {
        $("#rapporto-cointestatario .tabella_posizioni_from").find(".trTotal").hide()
        $("#rapporto-intestatario .tabella_posizioni_from").find(".trTotal").hide()
    }
}

function clickTotaleCelle() {
    $(".tipo_operazione input[type='radio']").on('click', function () {
        var selected_cardie = $(".tipo_operazione input[value='CARDIE']").attr('checked');
        var selected_ribinv = $(".tipo_operazione input[value='RIBINV']").attr('checked');
        if (selected_cardie || selected_ribinv) {
            sumcells("#rapporto-intestatario .tabella_posizioni_from")
            sumcells("#rapporto-cointestatario .tabella_posizioni_from")
            $("#rapporto-cointestatario .tabella_posizioni_from").find(".trTotal").show()
            $("#rapporto-intestatario .tabella_posizioni_from").find(".trTotal").show()
        } else {
            $("#rapporto-cointestatario .tabella_posizioni_from").find(".trTotal").hide()
            $("#rapporto-intestatario .tabella_posizioni_from").find(".trTotal").hide()
        }
    });
}
function initialSommaCelle() {
    var totale = 0;
    $(".tabella_posizioni_from tr td.patrimonio").each(function () {
        var value = $(this).text();
        if (value.length != 0) {
            totale += parseFloat(value.replace(",", "."));
        }
    })
    totale = totale.toFixed(2).toString();
    $(".tdTotal").html(totale);
}

function initialCheckPosizioni() {
    $(".tabella_posizioni_from tr input").each(function () {
        value = $(this).val();
        check = $(this).parents("tr").find("td").first();
        if (value > 0) {
            $(check).html('<img src="/static/img/checked.gif" alt="checked">');
        } else {
            $(check).html('');
        }
    });
}

function clickCheckPosizioni() {
    $(".tabella_posizioni_from tr").each(function () {
        input = $(this).find("input");
        $(input).on("keyup change click", function () {
            value = $(this).val();
            check = $(this).parents("tr").find("td").first();
            if (value > 0) {
                $(check).html('<img src="/static/img/checked.gif" alt="checked">');
            } else {
                $(check).html('');
            }
        })
    })
}

function initialTotalePercentuali() {
    totale = 0;
    $(".tabella_posizioni_from tr input").each(function () {
        totale += parseFloat($(this).val());
    })
    $(".totalepercentuali").html(totale);
}

function clickTotalePercentuali() {
    $(".tabella_posizioni_from tr").each(function () {
        input = $(this).find("input")
        $(input).on("keyup change click", function () {
            value = $(this).val()
            totale = 0
            $(".tabella_posizioni_from tr input").each(function () {
                totale += parseFloat($(this).val())
            })
            $(".totalepercentuali").html(totale)
        })
    })
}

//calendario data_decorrenza
//$("#id_data_decorrenza").datepicker({
//    showOn: "button",
//    buttonImage: "/static/img/datepicker-calendar-icon2.png",
//    buttonImageOnly: true,
//    dateFormat: 'dd/mm/yy',
//    monthNames: [ "Gennaio", "Febbraio", "Marzo", "Aprile",
//        "Maggio", "Giugno", "Luglio", "Agosto",
//        "Settembre", "Ottobre", "Novembre", "Dicembre" ],
//    monthNamesShort: [ "Gen", "Feb", "Mar", "Apr", "Mag", "Giu",
//        "Lug", "Ago", "Set", "Ott", "Nov", "Dic" ],
//    dayNames: [ "Domenica", "Lunedì", "Martedì", "Mercoledì",
//        "Giovedì", "Venerdì", "Sabato" ],
//    dayNamesMin: [ "Dom", "Lun", "Mar", "Mer", "Gio", "Ven", "Sab" ],
//    firstDay: 1
//});


$(document).ready(function (e) {
//    customTabs();
    initialAPPFrom();
    clickAPPFrom();
    clickPositionFrom();
    clickSottotitolo();
    initialTotaleCelle();
    clickTotaleCelle();
    getCheckBockSelectedSum();

// temporaneamente da spostare in alto
//funzioni per la creazione della cella totale

});

/*
 listeners section - begin
 placed after DOM ready event
 */

/* scrollable modal - prevent page body scrolling when modal is showed */
$('body').on('shown', '#GenericModal', function () {
    $("body").css("overflow-y", "hidden");
});
$('body').on('hidden', '#GenericModal', function () {
    $("body").css("overflow-y", "auto");
});

/* modals - workaround for closing button (not working) */
$('body').on('click', '#GenericModal button.close', function () {
    $("#GenericModal").data('modal').hide();
});

/*
 listeners section - end
 */
