# -*- coding: utf-8 -*-
"""
urlsconf module for acomea.app application
"""
from django.conf import settings
from django.utils.translation import ugettext as _
from django.conf.urls import url, include, patterns
from django.contrib import admin

from acomea.app.views import ServizioPrintAppView

urlpatterns = patterns(
    '',
    url(
        r'^stampa-app/(?P<pk>\d+)/$',
        ServizioPrintAppView.as_view(),
        name="servizio_printapp"
    ),
    url(
        r'^eliminazione-servizio-inserito/(?P<numero_servizio>\d+)/(?P<codice_fiscale>\w+)/$',
        'acomea.app.views.eliminazione_servizio_inserito',
        name="eliminazione_servzio_inserito"
    ),
    url(
        r'^revoca-servizio-attivo/(?P<numero_servizio>\d+)/(?P<tipo_servizio>\w{6})/$',
        'acomea.app.views.revoca_servizio_attivo',
        name="revoca_servzio_attivo"
    ),
)

if settings.CMS_ENABLED:
    from acomea.app.cms import urls
    #urlpatterns += urls.urlpatterns
