# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Deleting field 'Applicazione.from_form_template_name'
        db.delete_column('app_applicazione', 'from_form_template_name')


    def backwards(self, orm):

        # User chose to not deal with backwards NULL issues for 'Applicazione.from_form_template_name'
        raise RuntimeError("Cannot reverse this migration. 'Applicazione.from_form_template_name' and its values cannot be restored.")
        
        # The following code is provided here to aid in writing a correct migration        # Adding field 'Applicazione.from_form_template_name'
        db.add_column('app_applicazione', 'from_form_template_name',
                      self.gf('django.db.models.fields.CharField')(max_length=100),
                      keep_default=False)


    models = {
        'app.applicazione': {
            'Meta': {'object_name': 'Applicazione'},
            'codice': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '6'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'app_applicazione_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'from_form': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'app_applicazione_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'modal_page_slug': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'riepilogo_form': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'riepilogo_form_template_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'to_form': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'to_form_template_name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'app.posizionefrom': {
            'Meta': {'object_name': 'PosizioneFrom'},
            'codice_deposito_from': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'codice_fondo_from': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'codice_rapporto_from': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'codice_tipocontratto_from': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'app_posizionefrom_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'descrizione_fondo_from': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'app_posizionefrom_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'patrimonio_from': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '10', 'decimal_places': '2'}),
            'quote_from': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '10', 'decimal_places': '3'}),
            'servizio': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'posizioni_from'", 'to': "orm['app.Servizio']"}),
            'tipo_piano_from': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'})
        },
        'app.posizioneto': {
            'Meta': {'object_name': 'PosizioneTo'},
            'codice_deposito_to': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'codice_fondo_to': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'codice_rapporto_to': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'codice_tipocontratto_to': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'app_posizioneto_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'descrizione_fondo_to': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'app_posizioneto_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'servizio': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'posizioni_to'", 'to': "orm['app.Servizio']"}),
            'tipo_piano_to': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'})
        },
        'app.serviziinseritisettings': {
            'Meta': {'object_name': 'ServiziInseritiSettings', 'db_table': "'cmsplugin_serviziinseritisettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'status': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'cms_plugins/servizi_inseriti.html'", 'max_length': '100'})
        },
        'app.servizio': {
            'Meta': {'object_name': 'Servizio'},
            'car_die_allocazione_a': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'car_die_allocazione_b': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'car_die_gruppo_a': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '2'}),
            'car_die_gruppo_b': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '2'}),
            'car_die_perc_riall_ab': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'car_die_perc_var_a': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'codice_cliente': ('django.db.models.fields.IntegerField', [], {}),
            'codice_deposito_from': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'codice_deposito_to': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'codice_fiscale': ('django.db.models.fields.CharField', [], {'max_length': '16'}),
            'codice_fondo_from': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'codice_fondo_to': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'codice_rapporto_from': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'codice_rapporto_to': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'codice_tipocontratto_from': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'codice_tipocontratto_to': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'cognome': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'app_servizio_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'data_decorrenza': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'data_operazione': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'descrizione_fondo_from': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'descrizione_fondo_to': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'fine_servizio': ('django.db.models.fields.CharField', [], {'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'fine_servizio_anno': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'fine_servizio_mese': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'frequenza': ('django.db.models.fields.CharField', [], {'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'iban': ('django.db.models.fields.CharField', [], {'max_length': '27', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'importo': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '10', 'decimal_places': '2'}),
            'importo_rata': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '10', 'decimal_places': '2'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'app_servizio_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'mifid': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'numero_operazione': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'numero_rate_piano': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'numero_rate_versate': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'patrimonio_from': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '10', 'decimal_places': '2'}),
            'profilo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'servizi'", 'to': "orm['profilo.AcomeaProfilo']"}),
            'quote': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '3', 'blank': 'True'}),
            'quote_from': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '10', 'decimal_places': '3'}),
            'rad_rib_flag': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'rad_rib_nop_pianis': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rad_rib_riduz_quota_a': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'rad_rib_riduz_quota_b': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'rei_pro_perc_plus': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'rib_inv_perc_scost': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'simulazione': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '3'}),
            'tipo_operazione': ('django.db.models.fields.CharField', [], {'max_length': '7'}),
            'tipo_piano_from': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'tipo_piano_to': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'tipo_qta_movimento': ('django.db.models.fields.CharField', [], {'max_length': '1', 'null': 'True', 'blank': 'True'})
        },
        'app.serviziofromsettings': {
            'Meta': {'object_name': 'ServizioFromSettings', 'db_table': "'cmsplugin_serviziofromsettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'fallback_slug': ('django.db.models.fields.SlugField', [], {'max_length': '50', 'blank': 'True'}),
            'form': ('django.db.models.fields.CharField', [], {'default': "'acomea.app.cms.forms.ServizioFromForm'", 'max_length': '100'}),
            'form_template_name': ('django.db.models.fields.CharField', [], {'default': "'cms_plugins/posizione_from_form.html'", 'max_length': '100'}),
            'status': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'unsuccess_slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'})
        },
        'app.servizioriepilogosettings': {
            'Meta': {'object_name': 'ServizioRiepilogoSettings', 'db_table': "'cmsplugin_servizioriepilogosettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'fallback_slug': ('django.db.models.fields.SlugField', [], {'max_length': '50', 'blank': 'True'}),
            'form': ('django.db.models.fields.CharField', [], {'default': "'acomea.app.cms.forms.ServizioRiepilogoForm'", 'max_length': '100'}),
            'form_template_name': ('django.db.models.fields.CharField', [], {'default': "'cms_plugins/riepilogo_form.html'", 'max_length': '100'}),
            'status': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'unsuccess_slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'})
        },
        'app.serviziotosettings': {
            'Meta': {'object_name': 'ServizioToSettings', 'db_table': "'cmsplugin_serviziotosettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'fallback_slug': ('django.db.models.fields.SlugField', [], {'max_length': '50', 'blank': 'True'}),
            'form': ('django.db.models.fields.CharField', [], {'default': "'acomea.app.cms.forms.ServizioToForm'", 'max_length': '100'}),
            'form_template_name': ('django.db.models.fields.CharField', [], {'default': "'cms_plugins/posizione_to_form.html'", 'max_length': '100'}),
            'status': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'unsuccess_slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'})
        },
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50'})
        },
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'profilo.acomeaprofilo': {
            'Meta': {'ordering': "['user__email']", 'object_name': 'AcomeaProfilo'},
            'abilitato': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'auth_analisi': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'auth_societa_terze': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'auth_trattamento_dati': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'cap': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'citta': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'codice': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'profilo_acomeaprofilo_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'data_di_nascita': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'data_di_registrazione': ('django.db.models.fields.DateField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'dispositivo': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'has_contratto_kiid': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'has_contratto_operativita': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'hobby_due': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'hobby_tre': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'hobby_uno': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'indirizzo': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'is_acomea': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_cliente': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_lead': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_promotore': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_utente_rete': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'iscrizione_alla_newsletter': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'profilo_acomeaprofilo_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'mercato_di_interesse': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'mifid_compilato': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'nickname': ('django.db.models.fields.CharField', [], {'max_length': '64', 'unique': 'True', 'null': 'True', 'blank': 'True'}),
            'professionale': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'provincia': ('django.db.models.fields.CharField', [], {'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'rete': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['profilo.Rete']", 'null': 'True', 'blank': 'True'}),
            'telefono': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'related_name': "'profilo'", 'unique': 'True', 'to': "orm['auth.User']"})
        },
        'profilo.rete': {
            'Meta': {'object_name': 'Rete'},
            'codice': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'profilo_rete_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'profilo_rete_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        }
    }

    complete_apps = ['app']