# -*- coding: utf-8 -*-

APP_SERVIZIO_STATUS_CHOICES = (
    ('IN', 'Inizio',),
    ('FF', 'Meta',),
    ('FN', 'Fine',),
)

APP_SERVIZIO_FREQUENZA_CHOICES = (
    ('M', 'Mensile',),
    ('T', 'Trimestrale'),
    ('S', 'Semestrale'),
    ('A', 'Annuale'),
)

APP_SERVIZIO_FINE_SERVIZIO_CHOICES = (
    ('D', 'Data'),
    ('R', 'Revoca'),
)

APP_SERVIZIO_TIPO_SERVIZIO_CHOICES = (
    ('ATTCED', 'Attiva Cedola'),
    ('CARDIE', 'Carpe Diem'),
    ('RADRIB', 'Raddoppia Ribasso'),
    ('REIPRO', 'Reinvesti Profitti'),
    ('RIBINV', 'Ribilancia Investimento'),
    ('RIMPRO', 'Rimborso Programmato'),
    ('SWIPRO', 'Switch Programmato'),
)

APP_SERVIZIO_TIPO_QTA_MOVIMENTO_CHOICES = (
    ('I', 'IMPORTO',),
    ('Q', 'QUOTE',),
)

APP_SERVIZIO_CMSPLUGIN_POSIZIONEFROM_FORM_CLASSES = (
#    ("acomea.app.cms.forms.ServizioFromForm", "DEFAULT: Posizione From Form"),
    ("acomea.app.cms.forms.ServizioMultiFromForm", "DEFAULT: Posizione From Form"),
)
APP_SERVIZIO_CMSPLUGIN_POSIZIONEFROM_FORM_TEMPLATES = (
    ("cms_plugins/posizione_from_form.html", "DEFAULT: From Template APP",),
    ("bootstrap3/app/cms_plugins/posizione_from_form.html", "B3 - From Template APP",),
)

#: settings plugins POSIZIONE TO
APP_SERVIZIO_CMSPLUGIN_POSIZIONETO_FORM_CLASSES = (
    ("acomea.app.cms.forms.ServizioToForm", "DEFAULT: Posizione To Form",),
)
APP_SERVIZIO_CMSPLUGIN_POSIZIONETO_FORM_TEMPLATES = (
    ("ATTCED/cms_plugins/posizione_to_form.html", "ATTCED: To Template APP",),
    ("CARDIE/cms_plugins/posizione_to_form.html", "CARDIE: To Template APP",),
    ("RADRIB/cms_plugins/posizione_to_form.html", "RADRIB: To Template APP",),
    ("REIPRO/cms_plugins/posizione_to_form.html", "REIPRO: To Template APP",),
    ("RIMPRO/cms_plugins/posizione_to_form.html", "RIMPRO: To Template APP",),
    ("SWIPRO/cms_plugins/posizione_to_form.html", "SWIPRO: To Template APP",),
    ("RIBINV/cms_plugins/posizione_to_form.html", "RIBINV: To Template APP",),

    ("bootstrap3/ATTCED/cms_plugins/posizione_to_form.html", "B3 - ATTCED: To Template APP",),
    ("bootstrap3/RIMPRO/cms_plugins/posizione_to_form.html", "B3 - RIMPRO: To Template APP",),
    ("bootstrap3/RADRIB/cms_plugins/posizione_to_form.html", "B3 - RADRIB: To Template APP",),
    ("bootstrap3/REIPRO/cms_plugins/posizione_to_form.html", "B3 - REIPRO: To Template APP",),
    ("bootstrap3/SWIPRO/cms_plugins/posizione_to_form.html", "B3 - SWIPRO: To Template APP",),

    ("bootstrap3/RIBINV/cms_plugins/posizione_to_form.html", "B3 - RIBINV: To Template APP",),
    ("bootstrap3/CARDIE/cms_plugins/posizione_to_form.html", "B3 - CARDIE: To Template APP",),
)
APP_SERVIZIO_CMSPLUGIN_RIEPILOGO_FORM_CLASSES = (
    ("acomea.app.cms.forms.ServizioRiepilogoForm", "DEFAULT: Riepilogo Form",),
)
APP_SERVIZIO_CMSPLUGIN_RIEPILOGO_FORM_TEMPLATES = (
    ("ATTCED/cms_plugins/riepilogo_form.html", "ATTCED: Riepilogo Template APP",),
    ("CARDIE/cms_plugins/riepilogo_form.html", "CARDIE: Riepilogo Template APP",),
    ("RADRIB/cms_plugins/riepilogo_form.html", "RADRIB: Riepilogo Template APP",),
    ("REIPRO/cms_plugins/riepilogo_form.html", "REIPRO: Riepilogo Template APP",),
    ("RIMPRO/cms_plugins/riepilogo_form.html", "RIMPRO: Riepilogo Template APP",),
    ("SWIPRO/cms_plugins/riepilogo_form.html", "SWIPRO: Riepilogo Template APP",),
    ("RIBINV/cms_plugins/riepilogo_form.html", "RIBINV: Riepilogo Template APP",),

    ("bootstrap3/ATTCED/cms_plugins/riepilogo_form.html", "B3 - ATTCED: Riepilogo Template APP",),
    ("bootstrap3/RIMPRO/cms_plugins/riepilogo_form.html", "B3 - RIMPRO: Riepilogo Template APP",),
    ("bootstrap3/RADRIB/cms_plugins/riepilogo_form.html", "B3 - RADRIB: Riepilogo Template APP",),
    ("bootstrap3/REIPRO/cms_plugins/riepilogo_form.html", "B3 - REIPRO: Riepilogo Template APP",),
    ("bootstrap3/SWIPRO/cms_plugins/riepilogo_form.html", "B3 - SWIPRO: Riepilogo Template APP",),

    ("bootstrap3/RIBINV/cms_plugins/riepilogo_form.html", "B3 - RIBINV: Riepilogo Template APP",),
    ("bootstrap3/CARDIE/cms_plugins/riepilogo_form.html", "B3 - CARDIE: Riepilogo Template APP",),
)
APP_SERVIZIO_CMSPLUGIN_SERVIZI_INSERITI_TEMPLATES = (
    ("cms_plugins/servizi_inseriti.html", "servizi inseriti template",),
    ("bootstrap3/app/cms_plugins/servizi_inseriti.html", "B3 - servizi inseriti template",),
)

#: scelte per il form 'ServizioToForm'
APP_SERVIZIO_RAD_RIB_RIDUZ_A = (
    (0, ""),
    (5, "-5%"),
    (10, "-10%"),
)

#: scelte per il form 'ServizioToForm'
APP_SERVIZIO_RAD_RIB_RIDUZ_B = (
    (0, ""),
    (5, "-5%"),
    (10, "-10%"),
    (15, "-15%"),
    (20, "-20%"),
    (25, "-25%"),
    (30, "-30%"),
    (35, "-35%"),
    (40, "-40%"),
)

#: scelte per il form 'ServizioToForm'
APP_SERVIZIO_CAR_DIE_PERC_VAR_A = (
    (5, "+/-5%"),
    (10, "+/-10%"),
    (15, "+/-15%"),
    (20, "+/-20%"),
    (25, "+/-25%"),
    (30, "+/-30%"),
    (35, "+/-35%"),
    (40, "+/-40%"),
)

#: scelte per il form 'ServizioToForm'
APP_SERVIZIO_CAR_DIE_PERC_RIALL_AB = (
    (5, "5%"),
    (10, "10%"),
    (15, "15%"),
    (20, "20%"),
    (25, "25%"),
    (30, "30%"),
    (35, "35%"),
    (40, "40%"),
)

#: scelte per il form 'ServizioToForm'
APP_SERVIZIO_RIB_INV_PERC_SCOST = (
    (1, "1%"),
    (2, "2%"),
    (3, "3%"),
    (4, "4%"),
    (5, "5%"),
    (6, "6%"),
    (7, "7%"),
    (8, "8%"),
    (9, "9%"),
    (10, "10%"),
)

#: scelte per il form 'CARDIE: ServizioToForm'
APP_SERVIZIO_CARDIE_GRUPPO_A = (
    ('AOC', 'AcomeA Obbligazionario Corporate'),
    ('AP', 'AcomeA Performance'),
    ('ETF', 'AcomeA Fondo ETF Attivo'),
    ('PD', 'AcomeA MULTI FUND Patrimonio Dinamico'),
    ('PA', 'AcomeA MULTI FUND Patrimonio Aggressivo'),
    ('AG', 'AcomeA Globale'),
    ('APE', 'AcomeA Paesi Emergenti'),
    ('AA', 'AcomeA America'),
)

APP_SERVIZIO_CARDIE_GRUPPO_B = (
    ('AL', 'AcomeA 12 Mesi',),
    ('AB', 'AcomeA Breve Termine',),
    ('AL', 'AcomeA Eurobbligazionario',),
)


def _get_rei_pro_perc_plus():
    lista = [(0, '')]
    for num in range(1, 101):
        lista.append((num, "%s%%" % num))
    return lista

#: scelte per il form 'ServizioToForm'
APP_SERVIZIO_REI_PRO_PERC_PLUS = _get_rei_pro_perc_plus()


# dict objects used in ServizioPrintAppView
APP_SERVIZIO_STAMPA_APP_TEMPLATES_DICT = {
    'SWIPRO' : "SWIPRO/swipro_riepilogo.odt",
    'ATTCED' : "ATTCED/attced_riepilogo.odt",
    'RADRIB' : "RADRIB/radrib_riepilogo.odt",
    'REIPRO' : "REIPRO/reipro_riepilogo.odt",
    'RIMPRO' : "RIMPRO/rimpro_riepilogo.odt",
    'RIBINV' : "RIBINV/ribinv_riepilogo.odt",
    'CARDIE' : "CARDIE/cardie_riepilogo.odt",
}